## pythran 0.11.0+ds

=== requirements.txt ===
ply>=3.4
gast~=0.5.0
numpy
beniget~=0.4.0
