=== docs/requirements.txt ===
numpy
nbsphinx
scipy
guzzle_sphinx_theme
