## pythran 0.10.0%2Bds2

=== debian/control ===
Source: pythran
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diego M. Rodriguez <diego@moreda.io>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 libboost-dev,
 libxsimd-dev,
 pandoc <!nodoc>,
 python3-all-dev,
 python3-beniget,
 python3-gast,
 python3-guzzle-sphinx-theme <!nodoc>,
 python3-numpy,
 python3-pip,
 python3-ply,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://github.com/serge-sans-paille/pythran
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pythran.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pythran
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pythran
Architecture: any
Depends:
 g++ | c++-compiler,
 libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
 libboost-dev,
 python3-dev,
 libxsimd-dev,
 ${misc:Depends},
 ${python3:Depends},
Description: ahead of time compiler for Python
 Pythran is an ahead of time compiler for a subset of the Python
 language, with a focus on scientific computing. It takes a Python
 module annotated with a few interface descriptions and turns it into a
 native Python module with the same interface, but (hopefully) faster.
 .
 This package contains the Python 3 version of the library.

Package: python-pythran-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 python3-guzzle-sphinx-theme,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: ahead of time compiler for Python (Documentation)
 Pythran is an ahead of time compiler for a subset of the Python
 language, with a focus on scientific computing. It takes a Python
 module annotated with a few interface descriptions and turns it into a
 native Python module with the same interface, but (hopefully) faster.
 .
 This package contains the documentation.
