## pythran 0.10.0+ds2

=== debian/changelog ===
pythran (0.10.0+ds2-1) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * d/tests: run each file separately
  * d/copyright: repack without logo.svg
  * d/patches: avoid nbsphinx documentation

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Jan 2022 19:06:15 +0100

pythran (0.10.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]

  * Initial release (Closes: #991143)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Dec 2021 17:34:37 +0100
