=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, python3-pytest, python3-scipy, libatlas-base-dev

# Needs root for update-alternatives.
Tests: pythran-openblas
Restrictions: needs-root
Depends: @, python3-all, python3-pytest, python3-scipy, libopenblas-dev

# Needs root for update-alternatives.
Tests: pythran-blas
Restrictions: needs-root
Depends: @, python3-all, python3-pytest, python3-scipy, libblas-dev
