## pythran 0.11.0+ds

=== debian/changelog ===
pythran (0.11.0+ds-7) unstable; urgency=medium

  * Team upload.
  * debian/tests: also skip test_multitype_run* in test_cases.py
    (upstream Issue#2011)

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Aug 2022 22:39:32 +0200

pythran (0.11.0+ds-6) unstable; urgency=medium

  * Team upload.
  * debian/tests: skip test_repeat_string_run0 in test_rosetta, which
    fails with gcc-12. Closes: #1016155.
    See https://github.com/serge-sans-paille/pythran/issues/2011

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Aug 2022 12:52:38 +0200

pythran (0.11.0+ds-5) unstable; urgency=medium

  * Team upload.
  * debian/tests: restrict openblas tests to only those architectures
    for which openblas is available. i.e. not armel

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Jul 2022 14:56:03 +0200

pythran (0.11.0+ds-4) unstable; urgency=medium

  * Team upload.
  * drop Build-Depends: pandoc (sphinx is used to build docs)
  * build docs before running dh_sphinxdoc-indep

 -- Drew Parsons <dparsons@debian.org>  Fri, 01 Jul 2022 15:32:27 +0200

pythran (0.11.0+ds-3) unstable; urgency=medium

  * Team upload.
  * debian/tests: TestNumpyFunc3.test_interp is flakey at levels
    6,7,8 especially with complex numbers (_7c etc) and depending on
    BLAS implementation. i386 is flakey also in the real variant, so
    skip all test_interp_6, _7, _8.
    See https://github.com/serge-sans-paille/pythran/issues/2000

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Jun 2022 11:12:36 +0200

pythran (0.11.0+ds-2) experimental; urgency=medium

  * Team upload.
  * Depends: libxsimd-dev for all arches. pythran still uses xsimd in
    scalar-mode on "unsupported" arches. Closes: #1012437.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Jun 2022 17:42:16 +0200

pythran (0.11.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * update versioned Build-Depends: python3-beniget (>= 0.4.0~),
    python3-gast (>= 0.5.0~), python3-ply (>= 0.34~)
  * restrict Depends: libxsimd-dev to xsimd 0.8-supported arches only:
    amd64 arm64 kfreebsd-any. armhf and i386 still fail xsimd tests
    so don't include them yet. Closes: #1012437, #1013570.
    - Depends: libxsimd-dev (>= 8.0.5~) [amd64 arm64 kfreebsd-any]

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jun 2022 14:39:50 +0200

pythran (0.10.0+ds2-8) unstable; urgency=medium

  * Team upload.
  * debian/control: drop Testsuite: autopkgtest-pkg-python
    since can't be restricted to built arches only
    (and redundant anyway since real tests are used in debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jun 2022 10:37:20 +0200

pythran (0.10.0+ds2-7) unstable; urgency=medium

  * Team upload.
  * debian/tests: split pythran-test-cases into a separate test (takes
    some time, causing timeout failures when run with other tests).
    Reinstate test_numpy_func3.py on i386.

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Jun 2022 18:06:40 +0200

pythran (0.10.0+ds2-6) unstable; urgency=medium

  * Team upload.
  * reinstate greyreconstruct tests on i386 (fixed by patch)
  * debian/tests: skip test_numpy_func3.py on i386 (times out)

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Jun 2022 00:48:10 +0200

pythran (0.10.0+ds2-5) unstable; urgency=medium

  * Team upload.
  * debian patch scikit-image_greyreconstruct_int.patch aims to fix
    error in int comparison on i386 (upstream issue #1993)

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 May 2022 11:19:33 +0200

pythran (0.10.0+ds2-4) unstable; urgency=medium

  * Team upload.
  * skip TestScikitImage.test__greyreconstruct in debian/tests on i386
    (see https://github.com/serge-sans-paille/pythran/issues/1993)
  * restrict debian/tests to arches on which pythran builds
    successfully (currently amd64, arm64, i386, hppa, m68k)
  * fix salsa Vcs fields in debian/control
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 May 2022 18:44:51 +0200

pythran (0.10.0+ds2-3) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * d/control: fix python3 dev dependency
  * d/tests: use installed files instead of build dir

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Apr 2022 19:25:43 +0200

pythran (0.10.0+ds2-2) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * d/tests: use march=native flag in i386 tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Mar 2022 20:58:12 +0100
