=== debian/control ===
--- 
+++ 
@@ -8,23 +8,21 @@
  dh-python,
  libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
  libboost-dev,
- libxsimd-dev,
- pandoc <!nodoc>,
+ libxsimd-dev (>= 8.0.5~),
  python3-all-dev,
- python3-beniget,
- python3-gast,
+ python3-beniget (>= 0.4.0~),
+ python3-gast (>= 0.5.0~),
  python3-guzzle-sphinx-theme <!nodoc>,
  python3-numpy,
  python3-pip,
- python3-ply,
+ python3-ply (>= 0.34~),
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/serge-sans-paille/pythran
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-pythran.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pythran
-Testsuite: autopkgtest-pkg-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/pythran.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pythran
 Rules-Requires-Root: no
 
 Package: python3-pythran
@@ -33,8 +31,8 @@
  g++ | c++-compiler,
  libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
  libboost-dev,
- python3-dev,
- libxsimd-dev,
+ python3-all-dev,
+ libxsimd-dev (>= 8.0.5~),
  ${misc:Depends},
  ${python3:Depends},
 Description: ahead of time compiler for Python
