=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/architecture.mk
 
 export PYBUILD_NAME=pythran
 
@@ -22,10 +23,16 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_sphinxdoc:
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),i386)
+	CXXFLAGS="-march=native" dh_auto_test
+else
+	dh_auto_test
+endif
+
+execute_before_dh_sphinxdoc-indep:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-pythran-doc/usr/share/doc/python-pythran-doc/html
-	dh_sphinxdoc
 endif
 
 # Override compressing the font files, as they are symlinked by d/*.links
