## pythran 0.15.0+ds

=== debian/changelog ===
pythran (0.15.0+ds-2) unstable; urgency=medium

  * Team upload.
  * move python3-nbsphinx, pandoc to Build-Depends-Indep
    (pandoc is not available on all arches)
  * refresh manpages (debian/rules help2man)

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Jan 2024 12:49:50 +0100

pythran (0.15.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - supports Python 3.12. Drop debian patch python_3.12_258ab9a.diff
    - now uses pyproject.toml. Build-Depends: pybuild-plugin-pyproject
      Deprecated debian patch
      0002-Exclude-pythran-pythonic-patch-README.rst.patch
  * update debian/copyright. boost and xsimd (third-party source to be
    excluded from the source tarball) are now placed in the pythran
    dir in the upstream tarball.
  * enable doc build with nbsphinx
    - Build-Depends: python3-nbsphinx, pandoc <!nodoc>
    - drop debian patch
      0005-Disable-jupyter-based-documentation-examples.patch
  * debian/rules: drop deprecated build args --no-boost --no-xsimd

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Jan 2024 02:42:25 +0100

pythran (0.14.0+ds-5) unstable; urgency=medium

  * Team upload.
  * python3-pythran Depends: python3-setuptools.
    No longer automatically included in python 3.12. Closes: #1059634.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Jan 2024 03:44:08 +0100

pythran (0.14.0+ds-4) unstable; urgency=medium

  * Team upload.
  * update debian config files and tests to replace libatlas-base-dev
    references to libblis-dev (since atlas is deprecated and openblas
    is not available on armel)

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Dec 2023 02:18:32 +0100

pythran (0.14.0+ds-3) unstable; urgency=medium

  * Team upload.
  * debian patch python_3.12_258ab9a.diff applies upstream
    commit 258ab9a to support Python 3.12. Closes: #1056515.
  * drop debian patch 0004-Enhance-atlas-auto-detection.patch.
    The ATLAS BLAS implementation is deprecated, and its patch
    interferes with application of the Python 3.12 patch.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Dec 2023 16:45:24 +0100

pythran (0.14.0+ds-2) unstable; urgency=medium

  * Team upload.
  * upload pythran 0.14 to unstable (xsimd 10 is now available)

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Sep 2023 17:02:28 +0200

pythran (0.14.0+ds-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * remove autogenerated doc files with dh_clean. Closes: #1046079.
  * drop debian patch gcc13_PR2029.patch (applied upstream)

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Sep 2023 14:08:53 +0200

pythran (0.13.1+ds-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jul 2023 11:20:38 +0200

pythran (0.13.0+ds-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 May 2023 17:46:58 +0200

pythran (0.13.0~beta0~PR2100-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release (PR2100)

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Apr 2023 13:15:17 +0200

pythran (0.12.1+ds-1exp4) experimental; urgency=medium

  * Team upload.
  * versioned Depends: libxsimd-dev (>= 10.0.0~)
    (argminmax.hpp uses xsimd::batch_bool_cast)

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 11:47:37 +0100

pythran (0.12.1+ds-1exp3) experimental; urgency=medium

  * Team upload.
  * debian patch config-linux.patch removes the unknown C compiler
    option -Wno-unknown-warning-option from pythran-linux.cfg
    (it might be a clang option but gcc does not recognise it).
  * debian/tests: print value of CXXFLAGS used when running tests
    (to help keep track of USE_XSIMD)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Jan 2023 13:21:24 +0100

pythran (0.12.1+ds-1exp2) experimental; urgency=medium

  * Team upload.
  * use XSIMD acceleration only on supported architectures
    (amd64 arm64 i386)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 19:19:46 +0100

pythran (0.12.1+ds-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches scikit-image_greyreconstruct_int.patch
      and 0001-Remove-Wno-absolute-value-flag-in-tests.patch
  * update Build-Depends: python3-ply (>= 3.4~)
  * run tests with CXXFLAGS=-DUSE_XSIMD

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jan 2023 04:20:05 +0100

pythran (0.11.0+ds-8) unstable; urgency=medium

  * Team upload.
  * debian patch gcc13_PR2029.patch applies upstream PR#2029 to fix
    build with gcc-13. Closes: #1037823.

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Jul 2023 16:17:26 +0200
