=== debian/control ===
--- 
+++ 
@@ -6,20 +6,24 @@
 Build-Depends:
  debhelper-compat (=13),
  dh-python,
- libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
+ pybuild-plugin-pyproject,
+ libblas-dev | libopenblas-dev | libblis-dev | libblas.so,
  libboost-dev,
- libxsimd-dev (>= 8.0.5~),
+ libxsimd-dev (>= 10.0.0~),
  python3-all-dev,
  python3-beniget (>= 0.4.0~),
  python3-gast (>= 0.5.0~),
  python3-guzzle-sphinx-theme <!nodoc>,
  python3-numpy,
  python3-pip,
- python3-ply (>= 0.34~),
+ python3-ply (>= 3.4~),
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.1
+Build-Depends-Indep:
+ python3-nbsphinx <!nodoc>,
+ pandoc <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://github.com/serge-sans-paille/pythran
 Vcs-Git: https://salsa.debian.org/python-team/packages/pythran.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pythran
@@ -29,10 +33,11 @@
 Architecture: any
 Depends:
  g++ | c++-compiler,
- libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
+ libopenblas-dev | libblis-dev | libblas-dev | libblas.so,
  libboost-dev,
  python3-all-dev,
- libxsimd-dev (>= 8.0.5~),
+ python3-setuptools,
+ libxsimd-dev (>= 10.0.0~),
  ${misc:Depends},
  ${python3:Depends},
 Description: ahead of time compiler for Python
