=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/pythran-$1.tar.gz/ \
 https://github.com/serge-sans-paille/pythran/tags .*/archive/.*/v?([\d\.]+).tar.gz
