## pythran 0.16.1+ds

=== debian/changelog ===
pythran (0.16.1+ds-3) unstable; urgency=medium

  * Team upload.
  * update debian/tests
    - remove repetition of DEB_HOST_ARCH setting
    - riscv64: run all tests on default python only

 -- Drew Parsons <dparsons@debian.org>  Fri, 31 May 2024 00:07:35 +0200

pythran (0.16.1+ds-2) unstable; urgency=medium

  * Team upload.
  * debian/tests: run riscv64 tests on default python only

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 May 2024 14:43:54 +0200

pythran (0.16.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - fixes significant memory leak in ndarray from 0.16.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 May 2024 10:03:34 +0200

pythran (0.16.0+ds-3) unstable; urgency=medium

  * Team upload.
  * on riscv64 run only a third of test cases in pythran-test-cases

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 May 2024 15:29:58 +0200

pythran (0.16.0+ds-2) unstable; urgency=medium

  * Team upload.
  * fix arch for riscv64 test restrictions

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 May 2024 09:39:02 +0200

pythran (0.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 May 2024 10:50:24 +0200

pythran (0.15.0+ds-3) unstable; urgency=medium

  * Team upload.
  * debian/tests: riscv64 runs extremely slowly such that the test
    session times out, so use a restricted subset

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 May 2024 20:19:12 +0200
