## pythran 0.17.0+ds

=== requirements.txt ===
ply>=3.4
setuptools
gast~=0.6.0
numpy
beniget~=0.4.0
