=== debian/changelog ===
pythran (0.17.0+ds-2ubuntu1) questing; urgency=medium

  * Use -std=c++14 required by Boost.Math 1.88, see #1110838

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 11 Aug 2025 14:59:18 +0000

pythran (0.17.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Patch-out generation of python3-pkg-resources dependency
    (Closes: #1083728)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 May 2025 13:22:32 +0200

pythran (0.17.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Dec 2024 23:18:34 +0100
