=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pythran
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diego M. Rodriguez <diego@moreda.io>
 Build-Depends:
  debhelper-compat (=13),
@@ -23,7 +24,7 @@
 Build-Depends-Indep:
  python3-nbsphinx <!nodoc>,
  pandoc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/serge-sans-paille/pythran
 Vcs-Git: https://salsa.debian.org/python-team/packages/pythran.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pythran
