=== debian/rules ===
--- 
+++ 
@@ -16,18 +16,30 @@
 # Llimit the testing to one file, as the full test suite is very time
 # consuming.
 export PYBUILD_TEST_ARGS=pythran/tests/test_base.py
-# Disable copying third party libraries during build and install.
-export PYBUILD_BUILD_ARGS=build_py --no-boost --no-xsimd
-export PYBUILD_INSTALL_ARGS=build_py --no-boost --no-xsimd
+
+empty :=
+space := $(empty)$(empty)
+
+# use XSIMD only on supported architectures
+XSIMD_ARCH_LIST := amd64 arm64 i386
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(XSIMD_ARCH_LIST)$(space)))
+  XSIMD_CONFIG=-DUSE_XSIMD
+else
+  XSIMD_CONFIG=
+endif
+
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
+execute_after_dh_clean:
+	rm -f docs/AUTHORS.rst docs/LICENSE.rst docs/Changelog.rst docs/SUPPORT.rst docs/index.rst
+
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH),i386)
-	CXXFLAGS="-march=native" dh_auto_test
+	CXXFLAGS="$(XSIMD_CONFIG) -march=native" dh_auto_test
 else
-	dh_auto_test
+	CXXFLAGS=$(XSIMD_CONFIG) dh_auto_test
 endif
 
 execute_before_dh_sphinxdoc-indep:
