## pythran 0.18.1+ds

=== debian/changelog ===
pythran (0.18.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - uses -std=c++14. Closes: #1110838.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 17:16:17 +0100
